<?php

namespace App\Filament\Widgets;

use App\Models\AiModel;
use App\Models\ApiProvider;
use App\Models\Style;
use Filament\Widgets\StatsOverviewWidget as BaseWidget;
use Filament\Widgets\StatsOverviewWidget\Stat;

class AppStatsOverview extends BaseWidget
{
    protected function getCards(): array
    {
        return [
            Stat::make(__('filament.widgets.app_stats.ai_models'), AiModel::count())
                ->icon('heroicon-o-server')
                ->url(route('filament.admin.resources.ai-models.index')),
            Stat::make(__('filament.widgets.app_stats.api_providers'), ApiProvider::count())
                ->icon('heroicon-o-cube')
                ->url(route('filament.admin.resources.api-providers.index')),
            Stat::make(__('filament.widgets.app_stats.styles'), Style::count())
                ->icon('heroicon-o-sparkles')
                ->url(route('filament.admin.resources.styles.index')),
        ];
    }
}
